Package org.apache.sling.feature.maven.mojos.apis

# Class FileSource

java.lang.Object
org.apache.sling.feature.maven.mojos.apis.FileSource

All Implemented Interfaces:
  `Source`

public class FileSource extends Object implements Source

## Constructor Summary

Constructors
Constructor
Description
`FileSource(File directory, File file)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getBaseDirectory()`
The base directory - all files are in the directory sub tree of this directory
`List<File>`
`getFiles()`
The list of files

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSource

public FileSource(File directory, File file)

## Method Details

### getBaseDirectory

public File getBaseDirectory()
Description copied from interface: `Source`
The base directory - all files are in the directory sub tree of this directory

Specified by:
  `getBaseDirectory` in interface `Source`
Returns:
  The base directory

### getFiles

public List<File> getFiles()
Description copied from interface: `Source`
The list of files

Specified by:
  `getFiles` in interface `Source`
Returns:
  The list of files